Loading...
Searching...
No Matches
lapdm_channel Struct Reference
LAPDm implementation according to GSM TS 04.06

the two lapdm_entities that form a GSM logical channel (ACCH + DCCH) More...

`#include <lapdm.h>`

## Data Fields

struct llist_head | list
| internal linked list
char * | name
| human-readable name
struct lapdm_entity | lapdm_acch
| Associated Control Channel.
struct lapdm_entity | lapdm_dcch
| Dedicated Control Channel.

## Detailed Description

the two lapdm_entities that form a GSM logical channel (ACCH + DCCH)

## Field Documentation

## lapdm_acch

struct lapdm_entity lapdm_channel::lapdm_acch

Associated Control Channel.

Referenced by lapdm_channel_exit(), lapdm_channel_init3(), lapdm_channel_reset(), lapdm_channel_set_flags(), lapdm_channel_set_l1(), lapdm_channel_set_l3(), lapdm_channel_set_mode(), lapdm_channel_set_t200_fn(), lapdm_rx_not_permitted(), and rslms_rx_rll().

## lapdm_dcch

struct lapdm_entity lapdm_channel::lapdm_dcch

Dedicated Control Channel.

Referenced by lapdm_channel_exit(), lapdm_channel_init3(), lapdm_channel_reset(), lapdm_channel_set_flags(), lapdm_channel_set_l1(), lapdm_channel_set_l3(), lapdm_channel_set_mode(), lapdm_channel_set_t200_fn(), lapdm_phsap_dequeue_prim_fn(), rslms_rx_chan_rqd(), and rslms_rx_rll().

## list

struct llist_head lapdm_channel::list

internal linked list

## name

char* lapdm_channel::name

human-readable name

Referenced by lapdm_channel_init3(), and rslms_rx_rll().

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/lapdm.h